# Class RegisterNotificationListenerRequest

#### Hierarchy

- unknown
  - RegisterNotificationListenerRequest

- Defined in src/protobuf/grpc_pb.d.ts:668
- Defined in src/protobuf/grpc_pb.d.ts:677

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new RegisterNotificationListenerRequest(): RegisterNotificationListenerRequest

- #### Returns RegisterNotificationListenerRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:669

### toObject

- toObject(includeInstance?: boolean): RegisterNotificationListenerRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns RegisterNotificationListenerRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:670

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): RegisterNotificationListenerRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RegisterNotificationListenerRequest

  - Defined in src/protobuf/grpc_pb.d.ts:673

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RegisterNotificationListenerRequest, reader: BinaryReader): RegisterNotificationListenerRequest

- #### Parameters

  - ##### message: RegisterNotificationListenerRequest

  - ##### reader: BinaryReader

  #### Returns RegisterNotificationListenerRequest

  - Defined in src/protobuf/grpc_pb.d.ts:674

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: RegisterNotificationListenerRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: RegisterNotificationListenerRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:672

### `Static` toObject

- toObject(includeInstance: boolean, msg: RegisterNotificationListenerRequest): RegisterNotificationListenerRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RegisterNotificationListenerRequest

  #### Returns RegisterNotificationListenerRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:671

Generated using TypeDoc